Subject: Confusing error message if a CommandController is outside /Controller/ directory
Description

If you create a CommandController which is not in the /Controller/ directory of a package you will get an error saying "Invalid controller
class name [...] 1305100019"

I understand how this is correct, but still this message is confusing. A check for the right directory and a suitable error message might
be the best solution. But a simple hint to check for the directory might solve this easily.

The error is thrown in
FLOW3/Packages/TYPO3.FLOW3 / Classes / MVC / CLI / Command.php  Line 60

Associated revisions
Revision 57565091 - 2012-05-25 14:46 - Karsten Dambekalns

[BUGFIX] Fix error message about command controller classes

If you create a CommandController which is not in the "Controller" directory
of a package or where the name does not end in "CommandController" you will
get an error saying "Invalid controller class name [...] 1305100019".

This change makes the error message a little more helpful.

Change-Id: I7605a87b446d88c824a4c75cd12c94b439b75eb8
Fixes: #33139
Releases: 1.0, 1.1, 1.2

Revision 42f4e5ec - 2012-05-30 20:36 - Karsten Dambekalns

[BUGFIX] Fix error message about command controller classes

If you create a CommandController which is not in the "Controller" directory
of a package or where the name does not end in "CommandController" you will
get an error saying "Invalid controller class name [...] 1305100019".

This change makes the error message a little more helpful.

Change-Id: I7605a87b446d88c824a4c75cd12c94b439b75eb8
Fixes: #33139
Releases: 1.0, 1.1, 1.2
Revision cc72a1c6 - 2012-05-30 20:37 - Karsten Dambekalns

[BUGFIX] Fix error message about command controller classes

If you create a CommandController which is not in the "Controller" directory
of a package or where the name does not end in "CommandController" you will
get an error saying "Invalid controller class name [...] 1305100019".

This change makes the error message a little more helpful.

Change-Id: I7605a87b446d88c824a4c75cd12c94b439b75eb8
Fixes: #33139
Releases: 1.0, 1.1, 1.2

History
#1 - 2012-03-07 18:44 - Karsten Dambekalns
- Category set to Command
- Status changed from New to Accepted
- Target version set to 1.0.4

#2 - 2012-04-18 22:49 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#3 - 2012-05-25 14:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11610

#4 - 2012-05-30 20:36 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11748

#5 - 2012-05-30 20:37 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11749

#6 - 2012-05-30 20:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:575650915f69773733108052ba7da3e0e82e5c11.
